Класс трафика
Определение
Класс трафика — группа пакетов или кадров, которым устройство назначает одинаковую пересылку, очередь или долю пропускной способности.
Также ищут: Traffic class · класс обслуживания трафика · класс QoS
Зачем это знать
Правило действует на класс, а не на красивое имя приложения. Нужно доказать условие отбора, сопоставление с очередью и обслуживание на конкретном выходе.
Карта понятия
Что подтверждено
DiffServ объединяет потоки в группы, которым на одном переходе назначается одинаковое поведение пересылки.
Граница применимости: Область DiffServ для IP; сопоставление с классами L2 настраивается отдельно.
Класс трафика не равен одной метке: DSCP или приоритет VLAN участвуют в классификации, а очередь и планировщик задаются правилами устройства.
Граница применимости: Сопоставление DiffServ для IP с классами трафика IEEE 802.
Что проверить
- Запишите условия отбора.
- Сверьте сопоставление метки с очередью.
- Проверьте планировщик и профиль отбрасывания.
Первоисточники
- RFC 2475: An Architecture for Differentiated Services
Определяет DS domain, classifiers, meters, markers, shapers, policers, behavior aggregates и per-hop behaviors.
Утверждения: 01
- RFC 2474: Definition of the Differentiated Services Field
Определяет six-bit DSCP, выбор per-hop behavior и отделяет codepoint от конкретной реализации forwarding treatment.
Утверждения: 02
- IEEE 802.1Q-2022: Bridges and Bridged Networks
Текущий base standard для MAC/VLAN bridges, spanning tree, traffic classes, PFC и DCB behavior.
Утверждения: 02
- RFC 3290: An Informal Management Model for Diffserv Routers
Даёт operational model для classifiers, meters, markers, droppers, queues, schedulers, shaping, policing и token buckets.